#!/bin/bash

set -e
set -u

DATAFILE="/var/lib/nagios/webstats-freshness.txt"
DATAMTIME=$(stat -c "%Z" ${DATAFILE})
NOWTIME=$(date +"%s")
TIMEDIFF=""

let "TIMEDIFF = ${NOWTIME} - ${DATAMTIME}"

if [ "${TIMEDIFF}" -gt "172800" ]; then
  # data is >24 hours old
  echo "FAIL: ${DATEFILE} too old"
  exit 1
fi

DATA=$(cat ${DATAFILE})

echo "${DATA}"

if [ "${DATA:0:2}" == "OK" ]; then
  exit 0
else
  exit 1
fi
